Bug 132412 - "devalbel" instead of "devlabel" causes errors at booting time
Summary: "devalbel" instead of "devlabel" causes errors at booting time
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: devlabel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-12 21:53 UTC by Robert Scheck
Modified: 2014-03-17 02:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-12 22:15:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-09-12 21:53:37 UTC
Description of problem:
There is a annoying typo in devlabel - so "devalbel" isn't
"devlabel" - you also see this error with lots of error
lines at the bootup :-(

Version-Release number of selected component (if applicable):
devlabel-0.48.03-4

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Install devlabel-0.48.03-4
2. Reboot the system
3. Wait for the error messages at bootup
  
Actual results:
The following changes are working for me:

--- snipp ---
--- devlabel.spec       2004-09-08 21:26:41.000000000 +0200
+++ devlabel.spec.rsc   2004-09-12 23:53:40.000000000 +0200
@@ -40,9 +40,9 @@
 install -m 644 sysconfig.devlabel $RPM_BUILD_ROOT/etc/sysconfig/devlabel

 mkdir -p $RPM_BUILD_ROOT/etc/syconfig/devlabel.d
-mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/devalbel.d
-touch $RPM_BUILD_ROOT/etc/sysconfig/devalbel.d/ignore_list
-touch $RPM_BUILD_ROOT/etc/sysconfig/devalbel.d/proc_partitions
+mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d
+touch $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d/ignore_list
+touch $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d/proc_partitions

 %triggerpostun -- devlabel <= 0.38.07-1
 if [ -e /etc/sysconfig/devlabel ]; then
@@ -62,16 +62,16 @@
 %{_bindir}/partition_uuid
 %config(noreplace) /etc/sysconfig/devlabel
 %{_mandir}/man8/devlabel.8*
-%dir /etc/sysconfig/devalbel.d
-%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devalbel.d/ignore_list
-%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devalbel.d/proc_partitions
+%dir /etc/sysconfig/devlabel.d
+%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devlabel.d/ignore_list
+%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devlabel.d/proc_partitions

 %changelog
 * Wed Sep  8 2004 Bill Nottingham <notting@redhat.com> 0.48.03-4
 - remove typo patch

 * Tue Sep  7 2004 Bill Nottingham <notting@redhat.com>
-- use /etc/sysconfig/devlabel.d, not /var/lib/devalbel
+- use /etc/sysconfig/devlabel.d, not /var/lib/devlabel

 * Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt
--- snapp ---

Expected results:
Change as suggested or even better ;-)

Additional info:
Bill, slow down your typing speed at the keyboard...

Comment 1 Warren Togami 2004-09-12 22:15:34 UTC
This is already fixed in -5.



Note You need to log in before you can comment on or make changes to this bug.